org.sunflow.core

## Class ShadingCache

- java.lang.Object
- - org.sunflow.core.ShadingCache

-     public class ShadingCache
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShadingCache()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ShadingState state, Shader shader, Color c)`
    `Color` | `lookup(ShadingState state, Shader shader)`
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShadingCache

          public ShadingCache()

  - ### Method Detail

    - #### reset

          public void reset()

    - #### lookup

          public Color lookup(ShadingState state,
                              Shader shader)

    - #### add

          public void add(ShadingState state,
                          Shader shader,
                          Color c)